//-- Funciones de validacion usadas en la pagina ingredientes --


/**
 * Proceso de validacion de formulario de recetas.
 */

function validar_ingredientes(){
	// RECIBIMOS EL TEXTO ESCRITO EN EL CAMPO
	var ingrediente1 = document.getElementById("ingrediente1").value;
	var ingrediente2 = document.getElementById("ingrediente2").value;
	var ingrediente3 = document.getElementById("ingrediente3").value;
	var ingrediente4 = document.getElementById("ingrediente4").value;
	var ingrediente5 = document.getElementById("ingrediente5").value;
	var ingrediente6 = document.getElementById("ingrediente6").value;
	var ingrediente7 = document.getElementById("ingrediente7").value;
	var ingrediente8 = document.getElementById("ingrediente8").value;
	var ingrediente9 = document.getElementById("ingrediente9").value;
	var ingrediente10 = document.getElementById("ingrediente10").value;
	var ingrediente11 = document.getElementById("ingrediente11").value;
	var ingrediente12 = document.getElementById("ingrediente12").value;
	var ingrediente13 = document.getElementById("ingrediente13").value;
	var ingrediente14 = document.getElementById("ingrediente14").value;
	var ingrediente15 = document.getElementById("ingrediente15").value;
	// PROCESO DE VALIDACION DE CAMPOS VACIOS
	if (!comprobar_vacio(ingrediente1)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente1, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente2, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente3, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente4, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente5, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente6, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente7, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente8, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente9, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente10, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente11, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente12, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente13, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente14, 60)) {
		valido = false;
	}
	if (!comprobar_tamaņo(ingrediente15, 60)) {
		valido = false;
	}
	return valido;
}

//***** CONJUNTO DE FUNCIONES AUXILIARES PARA LA VALIDACION DE FORMULARIOS
/**
 * Proceso de validacion de campos vacios.
 * 
 * @param campo
 *            Cadena a comprobar.
 * @returns Indicador del resultado del proceso.
 */
function comprobar_vacio(campo) {
	var valido = true;
	if (campo == "") {
		valido = false;
	}
	return valido;
}
/**
 * Proceso de validacion de tamaņo en las cadenas de caractares.
 * 
 * @param campo
 *            Cadena a comprobar.
 * @param tamaņo
 *            Tamaņo maximo de la cadena.
 * @returns {Boolean} Indicador del proceso.
 */
function comprobar_tamaņo(campo, tamaņo) {
	var valido = true;
	if (campo.length > tamaņo) {
		valido = false;
	}
	return valido;
}